function [ Iout ] = integral( theta )

    global THETA_0;
    
    th = theta(1);
    dth = theta(6);

    tol=1e-4;
    
    fterm = quad(@fun1, THETA_0, th, tol);

    sterm = quad(@fun2, THETA_0, th, tol);

    % Since cycle begins with zero velocity this expression is shortened
    Iout = dth^2 ...%- exp( -2*first_term ) * Dqp0_desired^2 
            +exp( -2*fterm ) .* sterm ;

    function y=fun1(qp)
        y=beta(qp) ./ alpha(qp);
    end

    function y=fun2(qp)

        n=length(qp); first_term=zeros(1,n);

        for i=1:n
            first_term(i) = quad(@fun1, THETA_0, qp(i), tol);
        end;

        y = exp( 2*first_term ) .* 2 .* ga(qp) ./ alpha(qp);
    end
end
