function [score] = step_1_coeff_fun( b , lpos, lspd)
% The goal is to find a set of coefficients that yield a sign definite
% theta', ensuring that theta is monotonically increasing or decreasing.
% Lode 13.02.09
    persistent FIRST_RUN cosar1 cosar2 cosar3

    alpha1 = b(1:5).';
    alpha2 = b(6:10).';
    alpha3 = b(11:15).';
    alpha4 = b(16:20).';

    if isempty(FIRST_RUN)
        for i=1:max(size(lpos))
            for j=1:min(size(lpos))
                cosar1(i,j) = cos(lpos(i,j))*lspd(i,j);
                cosar2(i,j) = 1/2*cos(lpos(i,j)/2)*lspd(i,j);
                cosar3(i,j) = 1/4*cos(lpos(i,j)/4)*lspd(i,j);
            end
        end
        FIRST_RUN = 1;
    end

    score = min(lspd*alpha1 + cosar1*alpha2 + cosar2*alpha3 + cosar3*alpha4);
end