function [] = Animate( state , theta, tpause)
% animate( x ) animates the five-link SemiQuad robot given an Nx5 matrix trajectory.

    if (nargin<3)
        tpause=0.005;
    end
    
    [l, s, m, Ia, Iy, N, g] = robdef();
    
    q=state;
    %% Plotting routine
    h1 = subplot(121);
    xlabel('x (m)');
    ylabel('y (m)');
    HandModel = line(0,0,'color','g','erase','none','linewidth',2, 'Marker','.');
    HandTitle = title('Motion Trajectories') ;
    axis([-0.4 1.0 -0.2 0.4]);
    axis('equal');
    % xor for update behaviour
    set (HandModel,'Erase','xor');
    set (HandTitle,'Erase','xor');

    h2 = subplot(122);
    PhaseModel = line(0,0,'color','b','erase','none','linewidth',1);
    PhaseTitle = title('Phase plot');
    %axis([min(theta(:,1)) max(theta(:,1)) min(theta(:,2)) max(theta(:,2))]); 
    axis equal;
    
    animlength = size(state,1);
    for i=1:animlength
        [x,y] = qtox(q(i,:));
        co = [0 0; x.' y.'];
        
        set(HandModel,'xdata',co(:,1),'ydata',co(:,2));
        titlestring = ['Time Step ' num2str(i) '/' num2str(animlength)];
        set(HandTitle,'String',titlestring); 
        if ~isempty(theta)
            set(PhaseModel,'xdata', theta(1:i,1), 'ydata', theta(1:i,2));
        end
        drawnow;
        pause(tpause);
        axis auto
    end
end