function [ xp, yp ] = qtox( q_ar, offset )
    [l, s, m, Ia, Iy, N, g] = RobDef();
    
    if (nargin < 2)
        offset = [0 0];
    end
    
    length = size(q_ar,1);
    width = size(q_ar,2);
    if width~=5
       return  
    end
    xp = zeros(length, width);
    yp = zeros(length, width);

    for i=1:length
        q = q_ar(i,:);
        pa(1) = (q(1));
        pa(2) = (pa(1) - q(2));
        pa(3) = (pa(2) - q(3));
        pa(4) = (pa(3) - q(4));
        pa(5) = (pa(4) - q(5));

        p(1,:) = [offset(1) + l(1)*cos(pa(1))...
                  offset(2) + l(1)*sin(pa(1)) ];
        p(2,:) = [offset(1) + l(1)*cos(pa(1))+l(2)*cos(pa(2))...
                  offset(2) + l(1)*sin(pa(1))+l(2)*sin(pa(2))];
        p(3,:) = [offset(1) + l(1)*cos(pa(1))+l(2)*cos(pa(2)) + l(3)*cos(pa(3)) ...
                  offset(2) + l(1)*sin(pa(1))+l(2)*sin(pa(2)) + l(3)*sin(pa(3))];
        p(4,:) = [offset(1) + l(1)*cos(pa(1))+l(2)*cos(pa(2)) + l(3)*cos(pa(3)) + l(4)*cos(pa(4)) ...
                  offset(2) + l(1)*sin(pa(1))+l(2)*sin(pa(2)) + l(3)*sin(pa(3)) + l(4)*sin(pa(4))];
        p(5,:) = [offset(1) + l(1)*cos(pa(1))+l(2)*cos(pa(2)) + l(3)*cos(pa(3)) + l(4)*cos(pa(4)) + l(5)*cos(pa(5)) ...
                  offset(2) + l(1)*sin(pa(1))+l(2)*sin(pa(2)) + l(3)*sin(pa(3)) + l(4)*sin(pa(4)) + l(5)*sin(pa(5))];
              
        xp(i,:) = p(:,1).';
        yp(i,:) = p(:,2).';
    end
end
