    function [ u ] = FeedbackTransform( x, v )
% [ u ] = FeedbackTransform( theta, y, PQ, v )
% FeedbackTransform performs the computation from v to y. This
% transformation is on the form: u=inv(N)*(v-R) where R,N are matrix
% functions of (N&R)(theta, dtheta, y, dy)
    global PQ

    th = x(1);
    dth = x(6);

%     [IGNR, y, dy] = xtoy(x);

    [l, s, m, Ia, Iy, N, g] = RobDef();

    E = [0 1 0 0 0; 0 0 1 0 0 ; 0 0 0 1 0 ; 0 0 0 0 1 ;];
    invL = [1 0 0 0 0; -PQ(1, 1) 1 0 0 0; -PQ(2, 1) 0 1 0 0; -PQ(3, 1) 0 0 1 0; -PQ(4, 1) 0 0 0 1;];
%     M = [0.2e1 * m(5) * s(5) * l(1) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + 0.2e1 * l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + 0.2e1 * l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2)) + 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + 0.2e1 * (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * l(1) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2)) + 0.2e1 * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (m(1) + m(3) + m(5) + m(4) + m(2)) * l(1) ^ 2 - 0.2e1 * m(1) * l(1) * s(1) + (s(5) ^ 2 + l(4) ^ 2 + l(2) ^ 2 + l(3) ^ 2) * m(5) + (m(2) + m(3) + m(4)) * l(2) ^ 2 - 0.2e1 * m(2) * l(2) * s(2) + (s(4) ^ 2 + l(3) ^ 2) * m(4) + Iy(3) + Iy(2) + m(2) * s(2) ^ 2 + m(3) * s(3) ^ 2 + m(1) * s(1) ^ 2 + Iy(4) + Iy(1) + Iy(5) -m(5) * s(5) * l(1) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2)) - 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * ((m(5) + m(4) + m(3) + m(2)) * l(2) - m(2) * s(2)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2)) - 0.2e1 * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2)) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (-m(2) - m(4) - m(5) - m(3)) * l(2) ^ 2 + 0.2e1 * m(2) * l(2) * s(2) + (-l(4) ^ 2 - l(3) ^ 2 - s(5) ^ 2) * m(5) - m(2) * s(2) ^ 2 - m(3) * s(3) ^ 2 - Iy(2) - Iy(3) - m(4) * s(4) ^ 2 - Iy(5) - Iy(4) - m(4) * l(3) ^ 2 -m(5) * s(5) * l(1) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2)) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2)) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (-l(4) ^ 2 - l(3) ^ 2 - s(5) ^ 2) * m(5) - m(4) * l(3) ^ 2 - Iy(3) - m(3) * s(3) ^ 2 - Iy(4) - Iy(5) - m(4) * s(4) ^ 2 -m(5) * s(5) * l(1) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (-s(5) ^ 2 - l(4) ^ 2) * m(5) - m(4) * s(4) ^ 2 - Iy(4) - Iy(5) -m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - m(5) * s(5) * l(1) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) - m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - m(5) * s(5) ^ 2 - Iy(5); -m(5) * s(5) * l(1) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2)) - 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * ((m(5) + m(4) + m(3) + m(2)) * l(2) - m(2) * s(2)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2)) - 0.2e1 * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2)) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (-m(2) - m(4) - m(5) - m(3)) * l(2) ^ 2 + 0.2e1 * m(2) * l(2) * s(2) + (-l(4) ^ 2 - l(3) ^ 2 - s(5) ^ 2) * m(5) - m(2) * s(2) ^ 2 - m(3) * s(3) ^ 2 - Iy(2) - Iy(3) - m(4) * s(4) ^ 2 - Iy(5) - Iy(4) - m(4) * l(3) ^ 2 0.2e1 * m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + 0.2e1 * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (m(5) + m(4) + m(3) + m(2)) * l(2) ^ 2 - 0.2e1 * m(2) * l(2) * s(2) + (l(4) ^ 2 + s(5) ^ 2 + l(3) ^ 2) * m(5) + m(4) * l(3) ^ 2 + m(3) * s(3) ^ 2 + Ia(1) * N + Iy(5) + Iy(2) + m(4) * s(4) ^ 2 + Iy(3) + m(2) * s(2) ^ 2 + Iy(4) m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (l(4) ^ 2 + s(5) ^ 2 + l(3) ^ 2) * m(5) + Iy(5) + m(3) * s(3) ^ 2 + Iy(3) + m(4) * s(4) ^ 2 + m(4) * l(3) ^ 2 + Iy(4) m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (l(4) ^ 2 + s(5) ^ 2) * m(5) + m(4) * s(4) ^ 2 + Iy(4) + Iy(5) m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) ^ 2 + Iy(5); -m(5) * s(5) * l(1) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2)) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2)) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (-l(4) ^ 2 - l(3) ^ 2 - s(5) ^ 2) * m(5) - m(4) * l(3) ^ 2 - Iy(3) - m(3) * s(3) ^ 2 - Iy(4) - Iy(5) - m(4) * s(4) ^ 2 m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (l(4) ^ 2 + s(5) ^ 2 + l(3) ^ 2) * m(5) + Iy(5) + m(3) * s(3) ^ 2 + Iy(3) + m(4) * s(4) ^ 2 + m(4) * l(3) ^ 2 + Iy(4) 0.2e1 * m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (l(4) ^ 2 + s(5) ^ 2 + l(3) ^ 2) * m(5) + Ia(2) * N + m(4) * s(4) ^ 2 + Iy(5) + m(3) * s(3) ^ 2 + m(4) * l(3) ^ 2 + Iy(4) + Iy(3) m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (l(4) ^ 2 + s(5) ^ 2) * m(5) + Iy(4) + m(4) * s(4) ^ 2 + Iy(5) m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) ^ 2 + Iy(5); -m(5) * s(5) * l(1) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) - m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) - 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (-s(5) ^ 2 - l(4) ^ 2) * m(5) - m(4) * s(4) ^ 2 - Iy(4) - Iy(5) m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (l(4) ^ 2 + s(5) ^ 2) * m(5) + m(4) * s(4) ^ 2 + Iy(4) + Iy(5) m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (l(4) ^ 2 + s(5) ^ 2) * m(5) + Iy(4) + m(4) * s(4) ^ 2 + Iy(5) 0.2e1 * m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + (l(4) ^ 2 + s(5) ^ 2) * m(5) + Iy(4) + Iy(5) + m(4) * s(4) ^ 2 + Ia(3) * N m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) ^ 2 + Iy(5); -m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - m(5) * s(5) * l(1) * cos(y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) - m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) - m(5) * s(5) ^ 2 - Iy(5) m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) * l(2) * cos(y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) ^ 2 + Iy(5) m(5) * s(5) * l(3) * cos(y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) ^ 2 + Iy(5) m(5) * s(5) * l(4) * cos(y(5) + PQ(4, 1) * th + PQ(4, 2)) + m(5) * s(5) ^ 2 + Iy(5) m(5) * s(5) ^ 2 + Iy(5) + Ia(4) * N;];
%     Cdq = [m(5) * l(1) * s(5) * (dy(5) + PQ(4, 1) * dth + dy(4) + PQ(3, 1) * dth + dy(2) + PQ(1, 1) * dth + dy(3) + PQ(2, 1) * dth) * (dy(3) + dy(2) - 2 * dth + PQ(3, 1) * dth + PQ(1, 1) * dth + dy(5) + dy(4) + PQ(4, 1) * dth + PQ(2, 1) * dth) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + l(1) * (dy(3) + PQ(2, 1) * dth + dy(2) + PQ(1, 1) * dth + dy(4) + PQ(3, 1) * dth) * (dy(3) + dy(2) + dy(4) + PQ(2, 1) * dth - 2 * dth + PQ(3, 1) * dth + PQ(1, 1) * dth) * (m(4) * s(4) + m(5) * l(4)) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2))) + m(5) * l(2) * s(5) * (dy(3) + PQ(2, 1) * dth + dy(4) + PQ(3, 1) * dth + dy(5) + PQ(4, 1) * dth) * (dy(3) + PQ(4, 1) * dth + dy(4) + PQ(3, 1) * dth + PQ(2, 1) * dth + 2 * dy(2) + dy(5) - 2 * dth + 2 * PQ(1, 1) * dth) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + l(2) * (dy(4) + PQ(3, 1) * dth + dy(3) + PQ(2, 1) * dth) * (dy(3) - 2 * dth + PQ(3, 1) * dth + 2 * PQ(1, 1) * dth + 2 * dy(2) + PQ(2, 1) * dth + dy(4)) * (m(4) * s(4) + m(5) * l(4)) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2))) + l(1) * (dy(3) + dy(2) - 2 * dth + PQ(1, 1) * dth + PQ(2, 1) * dth) * (dy(2) + PQ(1, 1) * dth + dy(3) + PQ(2, 1) * dth) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2))) + 0.2e1 * s(5) * ((PQ(4, 1) * dth) / 0.2e1 + (PQ(3, 1) * dth) / 0.2e1 + (PQ(1, 1) * dth) + (PQ(2, 1) * dth) - dth + dy(2) + dy(3) + dy(5) / 0.2e1 + dy(4) / 0.2e1) * m(5) * l(3) * (dy(4) + PQ(3, 1) * dth + dy(5) + PQ(4, 1) * dth) * sin((y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + l(2) * (dy(3) + PQ(2, 1) * dth) * (dy(3) + 2 * PQ(1, 1) * dth - 2 * dth + 2 * dy(2) + PQ(2, 1) * dth) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2))) + 0.2e1 * (m(4) * s(4) + m(5) * l(4)) * (dy(4) / 0.2e1 + (PQ(2, 1) * dth) + (PQ(1, 1) * dth) - dth + dy(3) + dy(2) + (PQ(3, 1) * dth) / 0.2e1) * l(3) * (dy(4) + PQ(3, 1) * dth) * sin((y(4) + PQ(3, 1) * th + PQ(3, 2))) + (dy(2) + PQ(1, 1) * dth) * (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * (dy(2) - 2 * dth + PQ(1, 1) * dth) * l(1) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2))) + 0.2e1 * ((PQ(4, 1) * dth) / 0.2e1 + (PQ(2, 1) * dth) + (PQ(1, 1) * dth) + (PQ(3, 1) * dth) - dth + dy(4) + dy(2) + dy(3) + dy(5) / 0.2e1) * s(5) * m(5) * (dy(5) + PQ(4, 1) * dth) * l(4) * sin((y(5) + PQ(4, 1) * th + PQ(4, 2))); (dth ^ 2) * m(5) * s(5) * l(1) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) - m(5) * l(2) * s(5) * (dy(3) + PQ(2, 1) * dth + dy(4) + PQ(3, 1) * dth + dy(5) + PQ(4, 1) * dth) * (dy(3) + PQ(4, 1) * dth + dy(4) + PQ(3, 1) * dth + PQ(2, 1) * dth + 2 * dy(2) + dy(5) - 2 * dth + 2 * PQ(1, 1) * dth) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + (dth ^ 2) * l(1) * (m(4) * s(4) + m(5) * l(4)) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2))) - l(2) * (dy(4) + PQ(3, 1) * dth + dy(3) + PQ(2, 1) * dth) * (dy(3) - 2 * dth + PQ(3, 1) * dth + 2 * PQ(1, 1) * dth + 2 * dy(2) + PQ(2, 1) * dth + dy(4)) * (m(4) * s(4) + m(5) * l(4)) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2))) - 0.2e1 * s(5) * ((PQ(4, 1) * dth) / 0.2e1 + (PQ(3, 1) * dth) / 0.2e1 + (PQ(1, 1) * dth) + (PQ(2, 1) * dth) - dth + dy(2) + dy(3) + dy(5) / 0.2e1 + dy(4) / 0.2e1) * m(5) * l(3) * (dy(4) + PQ(3, 1) * dth + dy(5) + PQ(4, 1) * dth) * sin((y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + (dth ^ 2) * l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2))) - l(2) * (dy(3) + PQ(2, 1) * dth) * (dy(3) + 2 * PQ(1, 1) * dth - 2 * dth + 2 * dy(2) + PQ(2, 1) * dth) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2))) - 0.2e1 * (m(4) * s(4) + m(5) * l(4)) * (dy(4) / 0.2e1 + (PQ(2, 1) * dth) + (PQ(1, 1) * dth) - dth + dy(3) + dy(2) + (PQ(3, 1) * dth) / 0.2e1) * l(3) * (dy(4) + PQ(3, 1) * dth) * sin((y(4) + PQ(3, 1) * th + PQ(3, 2))) - 0.2e1 * ((PQ(4, 1) * dth) / 0.2e1 + (PQ(2, 1) * dth) + (PQ(1, 1) * dth) + (PQ(3, 1) * dth) - dth + dy(4) + dy(2) + dy(3) + dy(5) / 0.2e1) * s(5) * m(5) * (dy(5) + PQ(4, 1) * dth) * l(4) * sin((y(5) + PQ(4, 1) * th + PQ(4, 2))) + l(1) * (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2))) * (dth ^ 2); (dth ^ 2) * m(5) * s(5) * l(1) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + m(5) * l(2) * s(5) * ((-dth + dy(2) + PQ(1, 1) * dth) ^ 2) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + (dth ^ 2) * l(1) * (m(4) * s(4) + m(5) * l(4)) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2))) - l(3) * m(5) * s(5) * (dy(4) + PQ(3, 1) * dth + dy(5) + PQ(4, 1) * dth) * (dy(4) - 2 * dth + 2 * dy(2) + dy(5) + 2 * PQ(2, 1) * dth + 2 * dy(3) + PQ(4, 1) * dth + PQ(3, 1) * dth + 2 * PQ(1, 1) * dth) * sin((y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + l(2) * ((-dth + dy(2) + PQ(1, 1) * dth) ^ 2) * (m(4) * s(4) + m(5) * l(4)) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2))) + (dth ^ 2) * l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2))) - l(3) * (dy(4) + PQ(3, 1) * dth) * (dy(4) + 2 * PQ(1, 1) * dth + PQ(3, 1) * dth - 2 * dth + 2 * dy(2) + 2 * PQ(2, 1) * dth + 2 * dy(3)) * (m(4) * s(4) + m(5) * l(4)) * sin((y(4) + PQ(3, 1) * th + PQ(3, 2))) + l(2) * ((-dth + dy(2) + PQ(1, 1) * dth) ^ 2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2))) - 0.2e1 * ((PQ(4, 1) * dth) / 0.2e1 + (PQ(2, 1) * dth) + (PQ(1, 1) * dth) + (PQ(3, 1) * dth) - dth + dy(4) + dy(2) + dy(3) + dy(5) / 0.2e1) * s(5) * m(5) * (dy(5) + PQ(4, 1) * dth) * l(4) * sin((y(5) + PQ(4, 1) * th + PQ(4, 2))); (dth ^ 2) * m(5) * s(5) * l(1) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + m(5) * l(2) * s(5) * ((-dth + dy(2) + PQ(1, 1) * dth) ^ 2) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + (dth ^ 2) * l(1) * (m(4) * s(4) + m(5) * l(4)) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2))) + m(5) * l(3) * s(5) * ((-dth + dy(2) + PQ(1, 1) * dth + dy(3) + PQ(2, 1) * dth) ^ 2) * sin((y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + l(2) * ((-dth + dy(2) + PQ(1, 1) * dth) ^ 2) * (m(4) * s(4) + m(5) * l(4)) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2))) + l(3) * ((-dth + dy(2) + PQ(1, 1) * dth + dy(3) + PQ(2, 1) * dth) ^ 2) * (m(4) * s(4) + m(5) * l(4)) * sin((y(4) + PQ(3, 1) * th + PQ(3, 2))) - m(5) * s(5) * l(4) * sin((y(5) + PQ(4, 1) * th + PQ(4, 2))) * (dy(5) + PQ(4, 1) * dth) * (PQ(4, 1) * dth - 2 * dth + 2 * PQ(1, 1) * dth + 2 * PQ(3, 1) * dth + 2 * PQ(2, 1) * dth + 2 * dy(4) + dy(5) + 2 * dy(3) + 2 * dy(2)); s(5) * m(5) * ((dth ^ 2) * l(1) * sin((y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + l(2) * ((-dth + dy(2) + PQ(1, 1) * dth) ^ 2) * sin((y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + l(3) * ((-dth + dy(2) + PQ(1, 1) * dth + dy(3) + PQ(2, 1) * dth) ^ 2) * sin((y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2))) + sin((y(5) + PQ(4, 1) * th + PQ(4, 2))) * l(4) * ((-dth + dy(2) + PQ(1, 1) * dth + dy(3) + PQ(2, 1) * dth + dy(4) + PQ(3, 1) * dth) ^ 2));];
%     G = [g * (s(5) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) * m(5) + (m(4) * s(4) + m(5) * l(4)) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) + (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2)) + (l(1) * m(5) + (m(1) + m(2) + m(3) + m(4)) * l(1) - m(1) * s(1)) * cos(th)); -(s(5) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) * m(5) + (m(4) * s(4) + m(5) * l(4)) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) + (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2))) * g; -g * (s(5) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) * m(5) + (m(4) * s(4) + m(5) * l(4)) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3))); -g * (s(4) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) * m(4) + m(5) * l(4) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2)) + s(5) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) * m(5)); -s(5) * cos(-th + y(2) + PQ(1, 1) * th + PQ(1, 2) + y(3) + PQ(2, 1) * th + PQ(2, 2) + y(4) + PQ(3, 1) * th + PQ(3, 2) + y(5) + PQ(4, 1) * th + PQ(4, 2)) * m(5) * g;];
%     B = [0 0 0 0; eye(4)];
    q = x(1:5);
    dq = x(6:10);

    M = [0.2e1 * m(5) * s(5) * l(1) * cos(q(2) + q(3) + q(4) + q(5)) + 0.2e1 * l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(q(2) + q(3) + q(4)) + 0.2e1 * m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) + 0.2e1 * l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(2) + q(3)) + 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) + 0.2e1 * m(5) * s(5) * l(3) * cos(q(4) + q(5)) + 0.2e1 * (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * l(1) * cos(q(2)) + 0.2e1 * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(3)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) + 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (m(1) + m(3) + m(5) + m(4) + m(2)) * l(1) ^ 2 - 0.2e1 * m(1) * l(1) * s(1) + (s(5) ^ 2 + l(4) ^ 2 + l(2) ^ 2 + l(3) ^ 2) * m(5) + (m(2) + m(3) + m(4)) * l(2) ^ 2 - 0.2e1 * m(2) * l(2) * s(2) + (s(4) ^ 2 + l(3) ^ 2) * m(4) + Iy(3) + Iy(2) + m(2) * s(2) ^ 2 + m(3) * s(3) ^ 2 + m(1) * s(1) ^ 2 + Iy(4) + Iy(1) + Iy(5) -m(5) * s(5) * l(1) * cos(q(2) + q(3) + q(4) + q(5)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(q(2) + q(3) + q(4)) - 0.2e1 * m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) - l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(2) + q(3)) - 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) - 0.2e1 * m(5) * s(5) * l(3) * cos(q(4) + q(5)) - l(1) * ((m(5) + m(4) + m(3) + m(2)) * l(2) - m(2) * s(2)) * cos(q(2)) - 0.2e1 * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(3)) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) - 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (-m(2) - m(4) - m(5) - m(3)) * l(2) ^ 2 + 0.2e1 * m(2) * l(2) * s(2) + (-l(4) ^ 2 - l(3) ^ 2 - s(5) ^ 2) * m(5) - m(2) * s(2) ^ 2 - m(3) * s(3) ^ 2 - Iy(2) - Iy(3) - m(4) * s(4) ^ 2 - Iy(5) - Iy(4) - m(4) * l(3) ^ 2 -m(5) * s(5) * l(1) * cos(q(2) + q(3) + q(4) + q(5)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(q(2) + q(3) + q(4)) - m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) - l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(2) + q(3)) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) - 0.2e1 * m(5) * s(5) * l(3) * cos(q(4) + q(5)) - l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(3)) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) - 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (-l(4) ^ 2 - l(3) ^ 2 - s(5) ^ 2) * m(5) - m(4) * l(3) ^ 2 - Iy(3) - m(3) * s(3) ^ 2 - Iy(4) - Iy(5) - m(4) * s(4) ^ 2 -m(5) * s(5) * l(1) * cos(q(2) + q(3) + q(4) + q(5)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(q(2) + q(3) + q(4)) - m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) - m(5) * s(5) * l(3) * cos(q(4) + q(5)) - l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) - 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (-s(5) ^ 2 - l(4) ^ 2) * m(5) - m(4) * s(4) ^ 2 - Iy(4) - Iy(5) -m(5) * s(5) * l(3) * cos(q(4) + q(5)) - m(5) * s(5) * l(1) * cos(q(2) + q(3) + q(4) + q(5)) - m(5) * s(5) * l(4) * cos(q(5)) - m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) - m(5) * s(5) ^ 2 - Iy(5); -m(5) * s(5) * l(1) * cos(q(2) + q(3) + q(4) + q(5)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(q(2) + q(3) + q(4)) - 0.2e1 * m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) - l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(2) + q(3)) - 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) - 0.2e1 * m(5) * s(5) * l(3) * cos(q(4) + q(5)) - l(1) * ((m(5) + m(4) + m(3) + m(2)) * l(2) - m(2) * s(2)) * cos(q(2)) - 0.2e1 * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(3)) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) - 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (-m(2) - m(4) - m(5) - m(3)) * l(2) ^ 2 + 0.2e1 * m(2) * l(2) * s(2) + (-l(4) ^ 2 - l(3) ^ 2 - s(5) ^ 2) * m(5) - m(2) * s(2) ^ 2 - m(3) * s(3) ^ 2 - Iy(2) - Iy(3) - m(4) * s(4) ^ 2 - Iy(5) - Iy(4) - m(4) * l(3) ^ 2 0.2e1 * m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) + 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) + 0.2e1 * m(5) * s(5) * l(3) * cos(q(4) + q(5)) + 0.2e1 * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(3)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) + 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (m(5) + m(4) + m(3) + m(2)) * l(2) ^ 2 - 0.2e1 * m(2) * l(2) * s(2) + (l(4) ^ 2 + s(5) ^ 2 + l(3) ^ 2) * m(5) + m(4) * l(3) ^ 2 + m(3) * s(3) ^ 2 + Ia(1) * N + Iy(5) + Iy(2) + m(4) * s(4) ^ 2 + Iy(3) + m(2) * s(2) ^ 2 + Iy(4) m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) + l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) + 0.2e1 * m(5) * s(5) * l(3) * cos(q(4) + q(5)) + l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(3)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) + 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (l(4) ^ 2 + s(5) ^ 2 + l(3) ^ 2) * m(5) + Iy(5) + m(3) * s(3) ^ 2 + Iy(3) + m(4) * s(4) ^ 2 + m(4) * l(3) ^ 2 + Iy(4) m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) + l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) + m(5) * s(5) * l(3) * cos(q(4) + q(5)) + l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) + 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (l(4) ^ 2 + s(5) ^ 2) * m(5) + m(4) * s(4) ^ 2 + Iy(4) + Iy(5) m(5) * s(5) * l(3) * cos(q(4) + q(5)) + m(5) * s(5) * l(4) * cos(q(5)) + m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) + m(5) * s(5) ^ 2 + Iy(5); -m(5) * s(5) * l(1) * cos(q(2) + q(3) + q(4) + q(5)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(q(2) + q(3) + q(4)) - m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) - l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(2) + q(3)) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) - 0.2e1 * m(5) * s(5) * l(3) * cos(q(4) + q(5)) - l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(3)) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) - 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (-l(4) ^ 2 - l(3) ^ 2 - s(5) ^ 2) * m(5) - m(4) * l(3) ^ 2 - Iy(3) - m(3) * s(3) ^ 2 - Iy(4) - Iy(5) - m(4) * s(4) ^ 2 m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) + l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) + 0.2e1 * m(5) * s(5) * l(3) * cos(q(4) + q(5)) + l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * cos(q(3)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) + 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (l(4) ^ 2 + s(5) ^ 2 + l(3) ^ 2) * m(5) + Iy(5) + m(3) * s(3) ^ 2 + Iy(3) + m(4) * s(4) ^ 2 + m(4) * l(3) ^ 2 + Iy(4) 0.2e1 * m(5) * s(5) * l(3) * cos(q(4) + q(5)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) + 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (l(4) ^ 2 + s(5) ^ 2 + l(3) ^ 2) * m(5) + Ia(2) * N + m(4) * s(4) ^ 2 + Iy(5) + m(3) * s(3) ^ 2 + m(4) * l(3) ^ 2 + Iy(4) + Iy(3) m(5) * s(5) * l(3) * cos(q(4) + q(5)) + l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) + 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (l(4) ^ 2 + s(5) ^ 2) * m(5) + Iy(4) + m(4) * s(4) ^ 2 + Iy(5) m(5) * s(5) * l(3) * cos(q(4) + q(5)) + m(5) * s(5) * l(4) * cos(q(5)) + m(5) * s(5) ^ 2 + Iy(5); -m(5) * s(5) * l(1) * cos(q(2) + q(3) + q(4) + q(5)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(q(2) + q(3) + q(4)) - m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) - m(5) * s(5) * l(3) * cos(q(4) + q(5)) - l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) - 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (-s(5) ^ 2 - l(4) ^ 2) * m(5) - m(4) * s(4) ^ 2 - Iy(4) - Iy(5) m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) + l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(q(3) + q(4)) + m(5) * s(5) * l(3) * cos(q(4) + q(5)) + l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) + 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (l(4) ^ 2 + s(5) ^ 2) * m(5) + m(4) * s(4) ^ 2 + Iy(4) + Iy(5) m(5) * s(5) * l(3) * cos(q(4) + q(5)) + l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(q(4)) + 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (l(4) ^ 2 + s(5) ^ 2) * m(5) + Iy(4) + m(4) * s(4) ^ 2 + Iy(5) 0.2e1 * m(5) * s(5) * l(4) * cos(q(5)) + (l(4) ^ 2 + s(5) ^ 2) * m(5) + Iy(4) + Iy(5) + m(4) * s(4) ^ 2 + Ia(3) * N m(5) * s(5) * l(4) * cos(q(5)) + m(5) * s(5) ^ 2 + Iy(5); -m(5) * s(5) * l(3) * cos(q(4) + q(5)) - m(5) * s(5) * l(1) * cos(q(2) + q(3) + q(4) + q(5)) - m(5) * s(5) * l(4) * cos(q(5)) - m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) - m(5) * s(5) ^ 2 - Iy(5) m(5) * s(5) * l(3) * cos(q(4) + q(5)) + m(5) * s(5) * l(4) * cos(q(5)) + m(5) * s(5) * l(2) * cos(q(3) + q(4) + q(5)) + m(5) * s(5) ^ 2 + Iy(5) m(5) * s(5) * l(3) * cos(q(4) + q(5)) + m(5) * s(5) * l(4) * cos(q(5)) + m(5) * s(5) ^ 2 + Iy(5) m(5) * s(5) * l(4) * cos(q(5)) + m(5) * s(5) ^ 2 + Iy(5) m(5) * s(5) ^ 2 + Iy(5) + Ia(4) * N;];
    C = [-m(5) * l(1) * s(5) * (dq(5) + dq(4) + dq(2) + dq(3)) * sin(q(2) + q(3) + q(4) + q(5)) - l(1) * (dq(3) + dq(2) + dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(2) + q(3) + q(4)) - m(5) * l(2) * s(5) * (dq(3) + dq(4) + dq(5)) * sin(q(3) + q(4) + q(5)) - l(1) * (dq(2) + dq(3)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(2) + q(3)) - l(2) * (dq(4) + dq(3)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) - m(5) * s(5) * l(3) * (dq(4) + dq(5)) * sin(q(4) + q(5)) - dq(2) * l(1) * (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * sin(q(2)) - dq(3) * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(3)) - dq(4) * l(3) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) - m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -m(5) * l(1) * s(5) * (dq(1) - dq(2) - dq(3) - dq(4) - dq(5)) * sin(q(2) + q(3) + q(4) + q(5)) - l(1) * (dq(1) - dq(2) - dq(3) - dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(2) + q(3) + q(4)) + m(5) * l(2) * s(5) * (dq(3) + dq(4) + dq(5)) * sin(q(3) + q(4) + q(5)) - l(1) * (dq(1) - dq(2) - dq(3)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(2) + q(3)) + l(2) * (dq(4) + dq(3)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) + m(5) * s(5) * l(3) * (dq(4) + dq(5)) * sin(q(4) + q(5)) - l(1) * (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * (dq(1) - dq(2)) * sin(q(2)) + dq(3) * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(3)) + dq(4) * l(3) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) + m(5) * s(5) * l(4) * sin(q(5)) * dq(5) m(5) * l(1) * s(5) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * sin(q(2) + q(3) + q(4) + q(5)) + l(1) * (-dq(1) + dq(2) + dq(3) + dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(2) + q(3) + q(4)) + m(5) * s(5) * l(2) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * sin(q(3) + q(4) + q(5)) + l(1) * (-dq(1) + dq(2) + dq(3)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(2) + q(3)) + l(2) * (-dq(1) + dq(2) + dq(3) + dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) + m(5) * s(5) * l(3) * (dq(4) + dq(5)) * sin(q(4) + q(5)) + l(2) * (-dq(1) + dq(2) + dq(3)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(3)) + dq(4) * l(3) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) + m(5) * s(5) * l(4) * sin(q(5)) * dq(5) m(5) * l(1) * s(5) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * sin(q(2) + q(3) + q(4) + q(5)) - l(1) * (dq(1) - dq(2) - dq(3) - dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(2) + q(3) + q(4)) + m(5) * s(5) * l(2) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * sin(q(3) + q(4) + q(5)) - l(2) * (dq(1) - dq(2) - dq(3) - dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) + s(5) * m(5) * l(3) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * sin(q(4) + q(5)) - l(3) * (dq(1) - dq(2) - dq(3) - dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) + m(5) * s(5) * l(4) * sin(q(5)) * dq(5) m(5) * s(5) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * (l(1) * sin(q(2) + q(3) + q(4) + q(5)) + l(2) * sin(q(3) + q(4) + q(5)) + l(3) * sin(q(4) + q(5)) + l(4) * sin(q(5))); dq(1) * m(5) * s(5) * l(1) * sin(q(2) + q(3) + q(4) + q(5)) + m(5) * l(2) * s(5) * (dq(3) + dq(4) + dq(5)) * sin(q(3) + q(4) + q(5)) + dq(1) * l(1) * (m(4) * s(4) + m(5) * l(4)) * sin(q(2) + q(3) + q(4)) + l(2) * (dq(4) + dq(3)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) + dq(1) * l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(2) + q(3)) + m(5) * s(5) * l(3) * (dq(4) + dq(5)) * sin(q(4) + q(5)) + dq(1) * l(1) * (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * sin(q(2)) + dq(3) * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(3)) + dq(4) * l(3) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) + m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -m(5) * l(2) * s(5) * (dq(3) + dq(4) + dq(5)) * sin(q(3) + q(4) + q(5)) - l(2) * (dq(4) + dq(3)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) - m(5) * s(5) * l(3) * (dq(4) + dq(5)) * sin(q(4) + q(5)) - dq(3) * l(2) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(3)) - dq(4) * l(3) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) - m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -m(5) * s(5) * l(2) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * sin(q(3) + q(4) + q(5)) + l(2) * (dq(1) - dq(2) - dq(3) - dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) - m(5) * s(5) * l(3) * (dq(4) + dq(5)) * sin(q(4) + q(5)) + l(2) * (dq(1) - dq(2) - dq(3)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(3)) - dq(4) * l(3) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) - m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -m(5) * s(5) * l(2) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * sin(q(3) + q(4) + q(5)) - l(2) * (-dq(1) + dq(2) + dq(3) + dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) - s(5) * m(5) * l(3) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * sin(q(4) + q(5)) - l(3) * (-dq(1) + dq(2) + dq(3) + dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) - m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -m(5) * s(5) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * (l(2) * sin(q(3) + q(4) + q(5)) + l(3) * sin(q(4) + q(5)) + l(4) * sin(q(5))); dq(1) * m(5) * s(5) * l(1) * sin(q(2) + q(3) + q(4) + q(5)) + dq(1) * l(1) * (m(4) * s(4) + m(5) * l(4)) * sin(q(2) + q(3) + q(4)) - s(5) * m(5) * l(2) * (-dq(1) + dq(2)) * sin(q(3) + q(4) + q(5)) - l(2) * (-dq(1) + dq(2)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) + dq(1) * l(1) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(2) + q(3)) + m(5) * s(5) * l(3) * (dq(4) + dq(5)) * sin(q(4) + q(5)) - l(2) * (-dq(1) + dq(2)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(3)) + dq(4) * l(3) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) + m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -m(5) * l(2) * s(5) * (dq(1) - dq(2)) * sin(q(3) + q(4) + q(5)) - l(2) * (dq(1) - dq(2)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) - m(5) * s(5) * l(3) * (dq(4) + dq(5)) * sin(q(4) + q(5)) - l(2) * (dq(1) - dq(2)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) * sin(q(3)) - dq(4) * l(3) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) - m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -m(5) * s(5) * l(3) * (dq(4) + dq(5)) * sin(q(4) + q(5)) - dq(4) * l(3) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) - m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -s(5) * m(5) * l(3) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)) * sin(q(4) + q(5)) - l(3) * (-dq(1) + dq(2) + dq(3) + dq(4)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) - m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -m(5) * s(5) * (l(3) * sin(q(4) + q(5)) + l(4) * sin(q(5))) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)); dq(1) * m(5) * s(5) * l(1) * sin(q(2) + q(3) + q(4) + q(5)) + dq(1) * l(1) * (m(4) * s(4) + m(5) * l(4)) * sin(q(2) + q(3) + q(4)) + m(5) * l(2) * s(5) * (dq(1) - dq(2)) * sin(q(3) + q(4) + q(5)) + l(2) * (dq(1) - dq(2)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) + m(5) * l(3) * s(5) * (dq(1) - dq(2) - dq(3)) * sin(q(4) + q(5)) + l(3) * (dq(1) - dq(2) - dq(3)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) + m(5) * s(5) * l(4) * sin(q(5)) * dq(5) s(5) * m(5) * l(2) * (-dq(1) + dq(2)) * sin(q(3) + q(4) + q(5)) + l(2) * (-dq(1) + dq(2)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(3) + q(4)) + m(5) * s(5) * l(3) * (-dq(1) + dq(2) + dq(3)) * sin(q(4) + q(5)) + l(3) * (-dq(1) + dq(2) + dq(3)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) - m(5) * s(5) * l(4) * sin(q(5)) * dq(5) m(5) * s(5) * l(3) * (-dq(1) + dq(2) + dq(3)) * sin(q(4) + q(5)) + l(3) * (-dq(1) + dq(2) + dq(3)) * (m(4) * s(4) + m(5) * l(4)) * sin(q(4)) - m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -m(5) * s(5) * l(4) * sin(q(5)) * dq(5) -m(5) * s(5) * l(4) * sin(q(5)) * (-dq(1) + dq(2) + dq(3) + dq(4) + dq(5)); s(5) * m(5) * (dq(1) * l(1) * sin(q(2) + q(3) + q(4) + q(5)) - l(2) * (-dq(1) + dq(2)) * sin(q(3) + q(4) + q(5)) - l(3) * (-dq(1) + dq(2) + dq(3)) * sin(q(4) + q(5)) - l(4) * sin(q(5)) * (-dq(1) + dq(2) + dq(3) + dq(4))) (-l(2) * (dq(1) - dq(2)) * sin(q(3) + q(4) + q(5)) + l(3) * (-dq(1) + dq(2) + dq(3)) * sin(q(4) + q(5)) + l(4) * sin(q(5)) * (-dq(1) + dq(2) + dq(3) + dq(4))) * m(5) * s(5) (l(3) * (-dq(1) + dq(2) + dq(3)) * sin(q(4) + q(5)) + l(4) * sin(q(5)) * (-dq(1) + dq(2) + dq(3) + dq(4))) * m(5) * s(5) m(5) * s(5) * l(4) * sin(q(5)) * (-dq(1) + dq(2) + dq(3) + dq(4)) 0;];
    G = [g * (s(5) * cos(q(1) - q(2) - q(3) - q(4) - q(5)) * m(5) + (m(4) * s(4) + m(5) * l(4)) * cos(q(1) - q(2) - q(3) - q(4)) + cos(q(1) - q(2) - q(3)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) + (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * cos(q(1) - q(2)) + (l(1) * m(5) + (m(1) + m(2) + m(3) + m(4)) * l(1) - m(1) * s(1)) * cos(q(1))) -(s(5) * cos(q(1) - q(2) - q(3) - q(4) - q(5)) * m(5) + (m(4) * s(4) + m(5) * l(4)) * cos(q(1) - q(2) - q(3) - q(4)) + cos(q(1) - q(2) - q(3)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3)) + (l(2) * m(5) + (m(2) + m(3) + m(4)) * l(2) - m(2) * s(2)) * cos(q(1) - q(2))) * g -g * (s(5) * cos(q(1) - q(2) - q(3) - q(4) - q(5)) * m(5) + (m(4) * s(4) + m(5) * l(4)) * cos(q(1) - q(2) - q(3) - q(4)) + cos(q(1) - q(2) - q(3)) * (m(4) * l(3) + m(3) * s(3) + m(5) * l(3))) -g * (s(4) * cos(q(1) - q(2) - q(3) - q(4)) * m(4) + m(5) * l(4) * cos(q(1) - q(2) - q(3) - q(4)) + s(5) * cos(q(1) - q(2) - q(3) - q(4) - q(5)) * m(5)) -s(5) * cos(q(1) - q(2) - q(3) - q(4) - q(5)) * m(5) * g;];
 
    B = [0 0 0 0;
        eye(4)];
    invM=inv(M);
    N = E*invL*invM*B;
    R = -E*invL*invM*(C*dq+G.');  %dL/dt = 0 for linear constraints, therefore omitted

    if (rank(N)~=size(N,1))
        sprintf('N IS SINGULAR')
    end
    u = inv(N)*(v-R);

