function [ dx ] = ConstrainedDynamics( x , PQ)

    [l, s, m, Ia, Iy, N, g] = RobDef();

    th = x(1);
    dth = x(2);

    Alpha = Iy(2) + (m(4) + m(5) + m(3) + m(2)) * l(2) ^ 2 + (-m(5) * s(5) * l(1) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - m(5) * s(5) * l(4) * cos(PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - m(5) * s(5) * l(2) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - m(5) * s(5) * l(3) * cos(PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - m(5) * s(5) ^ 2 - Iy(5)) * (0.2e1 * PQ(4, 1) * th + PQ(4, 2)) - 0.2e1 * m(1) * l(1) * s(1) + Iy(1) + m(1) * s(1) ^ 2 + 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) + 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) - 0.2e1 * m(2) * l(2) * s(2) + 0.2e1 * ((m(4) + m(5) + m(3) + m(2)) * l(2) - s(2) * m(2)) * l(1) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3)) + 0.2e1 * l(1) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3)) + 0.2e1 * m(5) * s(5) * l(4) * cos(PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) + 0.2e1 * m(5) * s(5) * l(2) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) + 0.2e1 * m(5) * s(5) * l(3) * cos(PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) + m(3) * s(3) ^ 2 + Iy(3) + Iy(4) + (l(3) ^ 2 + s(5) ^ 2 + l(4) ^ 2) * m(5) + m(2) * s(2) ^ 2 + Iy(5) + 0.2e1 * m(5) * s(5) * l(1) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) + (m(4) + m(5) + m(2) + m(1) + m(3)) * l(1) ^ 2 + (l(3) ^ 2 + s(4) ^ 2) * m(4) + (-m(5) * s(5) * l(1) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) - m(5) * s(5) * l(2) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - l(1) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3)) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) - 0.2e1 * m(5) * s(5) * l(3) * cos(PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - l(2) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3)) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) - 0.2e1 * m(5) * s(5) * l(4) * cos(PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) + (-l(4) ^ 2 - s(5) ^ 2 - l(3) ^ 2) * m(5) - m(3) * s(3) ^ 2 - Iy(4) - Iy(5) - Iy(3) - m(4) * l(3) ^ 2 - m(4) * s(4) ^ 2) * (0.2e1 * PQ(2, 1) * th + PQ(2, 2)) + (-m(5) * s(5) * l(1) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) - m(5) * s(5) * l(2) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) - m(5) * s(5) * l(3) * cos(PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) - 0.2e1 * m(5) * s(5) * l(4) * cos(PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) + (-l(4) ^ 2 - s(5) ^ 2) * m(5) - m(4) * s(4) ^ 2 - Iy(4) - Iy(5)) * (0.2e1 * PQ(3, 1) * th + PQ(3, 2)) + (-m(5) * s(5) * l(1) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) - 0.2e1 * m(5) * s(5) * l(2) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - l(1) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3)) - 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) - 0.2e1 * m(5) * s(5) * l(3) * cos(PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) - ((m(4) + m(5) + m(3) + m(2)) * l(2) - s(2) * m(2)) * l(1) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3)) - 0.2e1 * l(2) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3)) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) - 0.2e1 * m(5) * s(5) * l(4) * cos(PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) + (-m(5) - m(2) - m(3) - m(4)) * l(2) ^ 2 + 0.2e1 * m(2) * l(2) * s(2) + (-l(4) ^ 2 - s(5) ^ 2 - l(3) ^ 2) * m(5) + (-s(4) ^ 2 - l(3) ^ 2) * m(4) - Iy(5) - Iy(4) - m(3) * s(3) ^ 2 - Iy(2) - m(2) * s(2) ^ 2 - Iy(3)) * (0.2e1 * PQ(1, 1) * th + PQ(1, 2)) + 0.2e1 * l(1) * (m(4) * s(4) + m(5) * l(4)) * cos(PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) + 0.2e1 * l(2) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * cos(PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3)); 
    Beta = m(5) * s(5) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * (l(2) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + l(1) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + l(3) * sin((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + l(4) * sin((PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)))) * (2 * PQ(4, 1) * th + PQ(4, 2)) + 0.2e1 * (-m(5) * s(5) * l(1) * cos((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - 0.2e1 * m(5) * s(5) * l(2) * cos((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(1) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * cos((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3))) - 0.2e1 * l(2) * (m(4) * s(4) + m(5) * l(4)) * cos((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - 0.2e1 * m(5) * s(5) * l(3) * cos((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - ((m(4) + m(5) + m(3) + m(2)) * l(2) - s(2) * m(2)) * l(1) * cos((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3))) - 0.2e1 * l(2) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * cos((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3))) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - 0.2e1 * m(5) * s(5) * l(4) * cos((PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + (-m(5) - m(2) - m(3) - m(4)) * l(2) ^ 2 + 0.2e1 * m(2) * l(2) * s(2) + (-l(4) ^ 2 - s(5) ^ 2 - l(3) ^ 2) * m(5) + (-s(4) ^ 2 - l(3) ^ 2) * m(4) - Iy(5) - Iy(4) - m(3) * s(3) ^ 2 - Iy(2) - m(2) * s(2) ^ 2 - Iy(3)) * PQ(1, 1) + 0.2e1 * (-m(5) * s(5) * l(1) * cos((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - m(5) * s(5) * l(2) * cos((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(1) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * cos((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3))) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - 0.2e1 * m(5) * s(5) * l(3) * cos((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(2) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * cos((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3))) - 0.2e1 * l(3) * (m(4) * s(4) + m(5) * l(4)) * cos((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - 0.2e1 * m(5) * s(5) * l(4) * cos((PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + (-l(4) ^ 2 - s(5) ^ 2 - l(3) ^ 2) * m(5) - m(3) * s(3) ^ 2 - Iy(4) - Iy(5) - Iy(3) - m(4) * l(3) ^ 2 - m(4) * s(4) ^ 2) * PQ(2, 1) + (m(5) * s(5) * l(1) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + l(1) * (m(4) * s(4) + m(5) * l(4)) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) + m(5) * s(5) * l(2) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + l(2) * (m(4) * s(4) + m(5) * l(4)) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) + m(5) * s(5) * l(3) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + l(3) * (m(4) * s(4) + m(5) * l(4)) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2)) * sin((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) + m(5) * s(5) * l(4) * sin((PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) * (2 * PQ(4, 1) * th + PQ(4, 2))) * (2 * PQ(3, 1) * th + PQ(3, 2)) + 0.2e1 * (-m(5) * s(5) * l(1) * cos((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(1) * (m(4) * s(4) + m(5) * l(4)) * cos((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - m(5) * s(5) * l(2) * cos((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(2) * (m(4) * s(4) + m(5) * l(4)) * cos((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - m(5) * s(5) * l(3) * cos((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(3) * (m(4) * s(4) + m(5) * l(4)) * cos((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - 0.2e1 * m(5) * s(5) * l(4) * cos((PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + (-l(4) ^ 2 - s(5) ^ 2) * m(5) - m(4) * s(4) ^ 2 - Iy(4) - Iy(5)) * PQ(3, 1) + (m(5) * s(5) * l(1) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + l(1) * (m(4) * s(4) + m(5) * l(4)) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) + m(5) * s(5) * l(2) * (2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(1) * (1 - 2 * PQ(1, 1) * th - PQ(1, 2) - 2 * PQ(2, 1) * th - PQ(2, 2)) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3))) + l(2) * (m(4) * s(4) + m(5) * l(4)) * (2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) + m(5) * s(5) * l(3) * (2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - (m(5) * l(2) + (m(3) + m(4) + m(2)) * l(2) - s(2) * m(2)) * (1 - 2 * PQ(1, 1) * th - PQ(1, 2)) * l(1) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3))) + (2 * PQ(2, 1) * th + PQ(2, 2)) * l(2) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3))) + l(3) * (2 * PQ(3, 1) * th + PQ(3, 2)) * (m(4) * s(4) + m(5) * l(4)) * sin((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) + m(5) * s(5) * l(4) * sin((PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) * (2 * PQ(4, 1) * th + PQ(4, 2))) * (2 * PQ(1, 1) * th + PQ(1, 2)) + 0.2e1 * (-m(5) * s(5) * l(1) * cos((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - m(5) * s(5) * l(4) * cos((PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - m(5) * s(5) * l(2) * cos((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - m(5) * s(5) * l(3) * cos((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - m(5) * s(5) ^ 2 - Iy(5)) * PQ(4, 1) - m(5) * s(5) * l(1) * (2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(1, 1) * th + PQ(1, 2)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(1) * (2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(1, 1) * th + PQ(1, 2)) * (m(4) * s(4) + m(5) * l(4)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - m(5) * s(5) * l(2) * (2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - l(1) * (2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2)) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3))) - l(2) * (m(4) * s(4) + m(5) * l(4)) * (2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - m(5) * s(5) * l(3) * (2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) - (2 * PQ(1, 1) * th + PQ(1, 2)) * (m(5) * l(2) + (m(3) + m(4) + m(2)) * l(2) - s(2) * m(2)) * l(1) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3))) - (2 * PQ(2, 1) * th + PQ(2, 2)) * l(2) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3))) - l(3) * (2 * PQ(3, 1) * th + PQ(3, 2)) * (m(4) * s(4) + m(5) * l(4)) * sin((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) - m(5) * s(5) * l(4) * sin((PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) * (2 * PQ(4, 1) * th + PQ(4, 2)) + (m(5) * s(5) * l(1) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + l(1) * (m(4) * s(4) + m(5) * l(4)) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) + m(5) * s(5) * l(2) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + l(1) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * (-1 + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(1, 1) * th + PQ(1, 2)) * sin((PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3))) + l(2) * (m(4) * s(4) + m(5) * l(4)) * (-1 + 2 * PQ(1, 1) * th + PQ(1, 2) + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(3, 1) * th + PQ(3, 2)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) + m(5) * s(5) * l(3) * (2 * PQ(3, 1) * th + PQ(3, 2) + 2 * PQ(4, 1) * th + PQ(4, 2)) * sin((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) + l(2) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) * (-1 + 2 * PQ(2, 1) * th + PQ(2, 2) + 2 * PQ(1, 1) * th + PQ(1, 2)) * sin((PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3))) + l(3) * (2 * PQ(3, 1) * th + PQ(3, 2)) * (m(4) * s(4) + m(5) * l(4)) * sin((PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3))) + m(5) * s(5) * l(4) * sin((PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3))) * (2 * PQ(4, 1) * th + PQ(4, 2))) * (2 * PQ(2, 1) * th + PQ(2, 2)); 
    Gamma = g * (s(5) * cos(-th + PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3) + PQ(4, 1) * th ^ 2 + PQ(4, 2) * th + PQ(4, 3)) * m(5) + (m(4) * s(4) + m(5) * l(4)) * cos(-th + PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3) + PQ(3, 1) * th ^ 2 + PQ(3, 2) * th + PQ(3, 3)) + cos(-th + PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3) + PQ(2, 1) * th ^ 2 + PQ(2, 2) * th + PQ(2, 3)) * (m(3) * s(3) + l(3) * m(4) + m(5) * l(3)) + (m(5) * l(2) + m(4) * l(2) + (m(2) + m(3)) * l(2) - s(2) * m(2)) * cos(-th + PQ(1, 1) * th ^ 2 + PQ(1, 2) * th + PQ(1, 3)) + cos(th) * ((m(4) + m(5) + m(2) + m(1) + m(3)) * l(1) - s(1) * m(1)));

    dx = [dth;
        -(Beta*dth^2+Gamma)/Alpha;];


end
